Subject: Literary Events
From: [email-masked]
Date: Sat, 29 Jan 2000 21:48:33 EST

Sunday Feb 20 Readings A Go Go -a new queer fiction reading series with Aldo 
Alvarez Vittoria repetto & Surprise guests  Coordinated by C. Bard Cole 9 PM 
IC Guys, 443 E. 6th St.Manhattan Free Admission For information, call 
212-979-9291 or [email-masked]